package cn.pluss.platform.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import cn.pluss.platform.entity.QuestionsAnswers;

@Mapper
public interface QuestionsAnswersMapper extends BaseMapper<QuestionsAnswers> {

    public QuestionsAnswers queryQuestionsAnswers(QuestionsAnswers questionsAnswers);

    public List<QuestionsAnswers> queryQuestionsAnswersList(QuestionsAnswers questionsAnswers);

    public void saveQuestionsAnswers(QuestionsAnswers questionsAnswers);

    public void updateQuestionsAnswers(QuestionsAnswers questionsAnswers);

    public void deleteQuestionsAnswers(QuestionsAnswers questionsAnswers);

    public List<QuestionsAnswers> queryQuestionsAnswersPage(Map map);
    
    public List<QuestionsAnswers> queryQuestionsAnswersOrderByIDPage(Map map);

    public Integer queryQuestionsAnswersPageCount(Map map);

    public void saveQuestionsAnswersBatch(List<QuestionsAnswers>  questionsAnswersList);
}

